<template>
  <div class='otcc-plans container'>
    <h2 class='base-title'>OTC Plans</h2>
    <div class='otcc-plans__toggle'>
      <div :class='["otcc-plans__toggle-item", { "otcc-plans__toggle-item--active": options767.initialIndex === 0 }]' @click='setinitialIndex(0)'><p>e-box</p></div>
      <div :class='["otcc-plans__toggle-item", { "otcc-plans__toggle-item--active": options767.initialIndex === 1 }]' @click='setinitialIndex(1)'><p>store</p></div>
    </div>
    <div class='otcc-plans__items'>
      <Flickity id='otc-plans-carousel' ref="otc-plans-carousel"  :options="flickityOptions" :key='sliderKey'>
        <div class='ots-plans__item item' v-for='(item, index) in $t("items")' :key='index'>
          <div class='item__img'>
            <img loading='lazy' :src='require(`../../assets/img/hub/${item.img}.png`)' :width='item.width' :height='item.height' :alt='item.name'>
          </div>
          <p class='item__name'>{{item.name}}</p>
          <div>
            <p v-for='property in item.property' :key='property' class='item__property'>
              {{ property }}
            </p>
          </div>
          <div class='item__actions'>
            <base-button @click.native='() => submitPlan(item.submitPlan)' >
              {{item.apply }}
            </base-button>
          </div>
        </div>
      </Flickity>
    </div>
  </div>
</template>


<i18n>
{
  "en": {
    "items":[
      {
        "img":"tbcc-e-box",
        "width":"454",
        "height":"456",
        "name":"TBCC E-Box",
        "property":[
          "TBCC E-Box",
          "TBCC Franchise certificate",
          "Promo Materials",
          "Listing on tbcc.com"
        ],
        "submitPlan":"TBCC OTC / E-Box",
        "apply": "Apply E-Box"
      },
      {
        "img":"tbcc-store",
        "width":"454",
        "height":"456",
        "name":"TBCC Store",
        "property":[
          "TBCC Space Market",
          "TBCC Franchise certificate",
          "Promo Materials",
          "Listing on tbcc.com"
        ],
        "submitPlan":"TBCC OTC / Store",
        "apply": "Apply Store"
      }
    ]

  },
  "ch": {
    "items":[
      {
        "img":"tbcc-e-box",
        "width":"454",
        "height":"456",
        "name":"TBCC电子盒",
        "property":[
          "TBCC电子盒",
          "TBCC特许经营证书",
          "宣传材料",
          "在tbcc.com上市"
        ],
        "submitPlan":"TBCC OTC / E-Box",
        "apply": "申请电子盒"
      },
      {
        "img":"tbcc-store",
        "width":"454",
        "height":"456",
        "name":"TBCC商店",
        "property":[
          "TBCC空间市场",
          "TBCC特许经营证书",
          "宣传材料",
          "在tbcc.com上市"
        ],
        "submitPlan":"TBCC OTC / Store",
        "apply": "应用商店"
      }
    ]

  },
  "tur": {
    "items":[
      {
        "img":"tbcc-e-box",
        "width":"454",
        "height":"456",
        "name":"TBCC E-Box",
        "property":[
          "TBCC E-Box",
          "TBCC Franchise certificate",
          "Promo Materials",
          "Listing on tbcc.com"
        ],
        "submitPlan":"TBCC OTC / E-Box",
        "apply": "Apply E-Box"
      },
      {
        "img":"tbcc-store",
        "width":"454",
        "height":"456",
        "name":"TBCC Store",
        "property":[
          "TBCC Space Market",
          "TBCC Franchise certificate",
          "Promo Materials",
          "Listing on tbcc.com"
        ],
        "submitPlan":"TBCC OTC / Store",
        "apply": "Apply Store"
      }
    ]

  }
}
</i18n>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },
  data() {
    return {
      innerWidth: 0,
      sliderKey: 1,
      options767: {
        pageDots: true,
        wrapAround: false,
        groupCells: 1,
        prevNextButtons: false,
        initialIndex: 1
      },
      options: {
        pageDots: true,
        wrapAround: false,
        groupCells: 2,
        prevNextButtons: false
      }
    }
  },

  computed: {
    flickityOptions() {
      if(this.innerWidth <= 767) {
        return this.options767
      }
      return this.options
    }
  },

  watch: {
    flickityOptions() {
      this.sliderKey += 1
    },

    options767() {
      this.sliderKey += 1
    }
  },

  mounted() {
    this.setWidth();
    window.addEventListener('resize', this.setWidth);
  },

  methods: {
    ...mapActions({
      setCurrentPlan: "setCurrentPlan"
    }),

    setWidth() {
      this.innerWidth = window.innerWidth
    },

    setinitialIndex(i) {
      if(i !== this.options767.initialIndex) {
        this.options767 = {...this.options767, initialIndex: i }
      }
    },

    submitPlan(plan) {
      this.setCurrentPlan(plan);
      this.$router.push(this.localePath('/application'));
    }
  }
}
</script>

<style lang='scss' scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0;
  line-height: 59px;
  max-width: 880px;
  text-align: center;

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.otcc-plans {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;

  &__items {
/*    display: flex;
    width: 100%;
    justify-content: center;*/
    width: 100%;
  }

  &__toggle {
    align-items: center;
    width: 100%;
    position: absolute;
    top: 80px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    max-width: 350px;
    display: none;

    @media(max-width: 767px) {
      display: flex;
    }
  }

  &__toggle-item {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    max-width: 50%;
    border-bottom: 2px solid #2B3764;

    p {
      text-transform: uppercase;
      font-size: 16px;
      line-height: 16px;
      font-weight: 500;
      color: #FFFFFF;
      opacity: 0.6;
      margin: 0 0 23px;
    }

    &--active {
      position: relative;

      &::before {
        content: '';
        position: absolute;
        left: 0;
        bottom: -2px;
        background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
        height: 2px;
        width: 100%;
      }

      p {
        opacity: 1;
      }
    }
  }

}

.item {
  background: #0E1B4E;
  border-radius: 20px;
  max-width: 350px;
  width: 100%;
  padding: 0 34px 30px;
  display: flex;
  flex-direction: column;
  transition: background-color 0.5s;
  margin-top: 80px;

  @media(max-width: 767px) {
    margin-top: 100px;
  }

  &:not(:last-child) {
    margin-right: 30px;
  }

  &:hover {
    background-color: #18265E;

    button {
      background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
    }
  }

  &__img {
    height: 200px;
    display: flex;
    justify-content: center;
    position: relative;

    img {
      position: absolute;
      top: -132px;
      overflow: visible;
      object-fit: contain;
      pointer-events: none;
    }
  }

  &__name {
    font-weight: 500;
    font-size: 24px;
    color: #FFFFFF;
    margin: 0 0 10px;
  }

  &__property {
    margin: 0;
    width: 100%;
    padding: 23px 0 23px 27px;
    color: #6983AB;
    font-weight: 500;
    font-size: 18px;
    display: inline-block;
    border-bottom: 1px solid #243266;
    position: relative;

    &:last-child {
      border-bottom: none;
      margin-bottom: 8px;
    }

    &::before {
      content: '';
      position: absolute;
      width: 15px;
      height: 12px;
      background-image: url("../../assets/img/hub/discover-check.svg");
      background-position: center;
      background-repeat: no-repeat;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
    }
  }

  &__actions {
    position: relative;
    z-index: 1;
    display: flex;

    button {
      width: 100%;
      justify-content: center;
      min-height: 56px;
    }
  }

  button {
    background: #0E1B4E;
  }
}
</style>
